let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;


export const createProject = async (projectUuid: string, userId: string, thumbnail: string, organization: string) => {
  try {
    const response = await fetch(`${url_Backend_dwinzo}/api/V1/NewProject`, {
      method: "POST",
      headers: {
        Authorization: "Bearer <access_token>",
        "Content-Type": "application/json",
        token: localStorage.getItem("token") || "",
        refresh_token: localStorage.getItem("refreshToken") || "",
      },
      body: JSON.stringify({ projectUuid, userId, thumbnail, organization, }),
    });
    const newAccessToken = response.headers.get("x-access-token");
    if (newAccessToken) {
      //console.log("New token received:", newAccessToken);
      localStorage.setItem("token", newAccessToken);
    }
    if (!response.ok) {
      console.error("Failed to add project");
    }

    const result = await response.json();
    
    return result;
  } catch (error) {
    if (error instanceof Error) {
      console.log(error.message);
    } else {
      console.log("An unknown error occurred");
    }
  }
};
